#Happy feladat
#Webes projekt csapat, 3-4 fő, minden jobban kell magát éreznie a csapattagoknak és a skilleknek is meg kell lennie
#		|Frontend|Backend	|Database|	CSS	|Agility	|DevOps	|
#Tibor	|		|	X	|		|	X	|		|		|
#Dávid	|	X	|		|		|	X	|		|		|
#Botond	|		|		|	X	|		|	X	|		|
#Bence	|		|	X	|	X	|	X	|		|	X	|
#Márk	|	X	|		|		|		|	X	|		|
#Balázs	|		|		|	X	|		|		|	X	|

#Kedveltség: Tibor 0, Dávid 8, Botond -2, Bence 4, Márk 3, Balázs -10

var t binary;
var d binary;
var bo binary;
var be binary;
var m binary;
var b binary;

s.t. front: d+m >= 1;
s.t. back: t+be >= 1;
s.t. datab: bo+be+b >= 1;
s.t. css: t+d+be >= 1;
s.t. agi: bo+m >= 1;
s.t. dev: be+b >= 1;
s.t. letszam: 3 <= t + d + bo + be + m + b <= 4;

maximize skill: t*0+d*8+bo*(-2)+be*4+m*3+b*(-10);